apply plugin: 'com.android.library'
apply from: "../gradle_component/baseconfig.gradle"

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    api("com.android.support:appcompat-v7:${V7_APPCOMPAT_VERSION}")
    api("com.android.support:cardview-v7:${V7_APPCOMPAT_VERSION}")
    api("com.android.support:support-v4:${V4_SUPPORT_VERSION}")
    api("com.android.support.constraint:constraint-layout:${CONSTRAIT_SUPPORT_VERSION}")
    api("com.android.support:design:${DESIGIN_SUPPORT_VERSION}")
    api("com.github.bumptech.glide:glide:${GLIDE_VERSION}")
    annotationProcessor("com.github.bumptech.glide:compiler:${GLIDE_VERSION}")
    api("com.android.support:recyclerview-v7:${V7_APPCOMPAT_VERSION}")
    api 'in.srain.cube:ultra-ptr:1.0.11'
    api("com.squareup.okhttp3:okhttp:${OKHTTP_VERSION}")
    api("com.google.code.gson:gson:${GSON_VERSION}")
    api 'jp.wasabeef:glide-transformations:3.3.0'
    //retrofit
    api("com.squareup.retrofit2:retrofit:${RETROFIT_VERSION}")
    api("com.squareup.retrofit2:converter-gson:${RETROFIT_VERSION}")
    api("com.squareup.retrofit2:adapter-rxjava2:${RETROFIT_VERSION}")
    api 'com.shizhefei:CoolRefreshView:1.0.2'
    //rxjava
    api 'io.reactivex.rxjava2:rxjava:2.2.0'
    api 'io.reactivex.rxjava2:rxandroid:2.0.2'
    api 'org.litepal.android:core:2.0.0'
//    侧滑recyclaerview
    api 'com.yanzhenjie:recyclerview-swipe:1.1.4@aar'
    api('com.github.chrisbanes.photoview:library:1.2.4') {
        exclude group: 'com.android.support:appcompat-v4'
    }
    api 'com.google.zxing:core:3.3.0'

    //内存泄露检测
//    debugApi 'com.squareup.leakcanary:leakcanary-android:1.5.1'
//    releaseApi 'com.squareup.leakcanary:leakcanary-android-no-op:1.5.1'
}
